'use strict';

var e = require('react');
var reactQuery = require('@tanstack/react-query');
var reactQueryDevtools = require('@tanstack/react-query-devtools');

function _interopNamespace(e) {
	if (e && e.__esModule) return e;
	var n = Object.create(null);
	if (e) {
		Object.keys(e).forEach(function (k) {
			if (k !== 'default') {
				var d = Object.getOwnPropertyDescriptor(e, k);
				Object.defineProperty(n, k, d.get ? d : {
					enumerable: true,
					get: function () { return e[k]; }
				});
			}
		});
	}
	n.default = e;
	return Object.freeze(n);
}

var e__namespace = /*#__PURE__*/_interopNamespace(e);

var V=function({children:a,result:t,loadingColor:c="#194ebf"}){var l;let n,o,i,s,d;return Array.isArray(t)?(n=t.every(r=>r.isLoading),o=t.every(r=>r.isFetching),i=t.every(r=>r.isError),s=t.every(r=>r.isSuccess),d=i?((l=t.find(r=>r.isError))==null?void 0:l.error).message:""):(n=t.isLoading,o=t.isFetching,i=t.isError,s=t.isSuccess,d=i?t.error.message:""),e__namespace.createElement(e__namespace.Fragment,null,(n||o)&&e__namespace.createElement("div",{style:{width:"100%",height:50,display:"flex",alignItems:"center",justifyContent:"center"}},e__namespace.createElement("svg",{xmlns:"http://www.w3.org/2000/svg",viewBox:"0 0 32 32",fill:c,style:{height:"100%"}},e__namespace.createElement("path",{transform:"translate(2)",d:"M0 12 V20 H4 V12z"},e__namespace.createElement("animate",{attributeName:"d",values:"M0 12 V20 H4 V12z; M0 4 V28 H4 V4z; M0 12 V20 H4 V12z; M0 12 V20 H4 V12z",dur:"1.2s",repeatCount:"indefinite",begin:"0",keyTimes:"0;.2;.5;1",keySplines:"0.2 0.2 0.4 0.8;0.2 0.6 0.4 0.8;0.2 0.8 0.4 0.8",calcMode:"spline"})),e__namespace.createElement("path",{transform:"translate(8)",d:"M0 12 V20 H4 V12z"},e__namespace.createElement("animate",{attributeName:"d",values:"M0 12 V20 H4 V12z; M0 4 V28 H4 V4z; M0 12 V20 H4 V12z; M0 12 V20 H4 V12z",dur:"1.2s",repeatCount:"indefinite",begin:"0.2",keyTimes:"0;.2;.5;1",keySplines:"0.2 0.2 0.4 0.8;0.2 0.6 0.4 0.8;0.2 0.8 0.4 0.8",calcMode:"spline"})),e__namespace.createElement("path",{transform:"translate(14)",d:"M0 12 V20 H4 V12z"},e__namespace.createElement("animate",{attributeName:"d",values:"M0 12 V20 H4 V12z; M0 4 V28 H4 V4z; M0 12 V20 H4 V12z; M0 12 V20 H4 V12z",dur:"1.2s",repeatCount:"indefinite",begin:"0.4",keyTimes:"0;.2;.5;1",keySplines:"0.2 0.2 0.4 0.8;0.2 0.6 0.4 0.8;0.2 0.8 0.4 0.8",calcMode:"spline"})),e__namespace.createElement("path",{transform:"translate(20)",d:"M0 12 V20 H4 V12z"},e__namespace.createElement("animate",{attributeName:"d",values:"M0 12 V20 H4 V12z; M0 4 V28 H4 V4z; M0 12 V20 H4 V12z; M0 12 V20 H4 V12z",dur:"1.2s",repeatCount:"indefinite",begin:"0.6",keyTimes:"0;.2;.5;1",keySplines:"0.2 0.2 0.4 0.8;0.2 0.6 0.4 0.8;0.2 0.8 0.4 0.8",calcMode:"spline"})),e__namespace.createElement("path",{transform:"translate(26)",d:"M0 12 V20 H4 V12z"},e__namespace.createElement("animate",{attributeName:"d",values:"M0 12 V20 H4 V12z; M0 4 V28 H4 V4z; M0 12 V20 H4 V12z; M0 12 V20 H4 V12z",dur:"1.2s",repeatCount:"indefinite",begin:"0.8",keyTimes:"0;.2;.5;1",keySplines:"0.2 0.2 0.4 0.8;0.2 0.6 0.4 0.8;0.2 0.8 0.4 0.8",calcMode:"spline"})))),i&&e__namespace.createElement("div",{style:{background:"#FFF3F1",wordWrap:"break-word",borderRadius:5,color:"#1F1E1D"}},d||"\u63A5\u53E3\u8BF7\u6C42\u5931\u8D25"),s&&a)},u=V;var M=new reactQuery.QueryClient({defaultOptions:{queries:{staleTime:1e3*60*10}}}),v=function({children:a,position:t="bottom"}){return e__namespace.createElement(reactQuery.QueryClientProvider,{client:M},a,e__namespace.createElement(reactQueryDevtools.ReactQueryDevtools,{initialIsOpen:!1,position:t}))},z=v;

exports.ReactQueryClientProvider = z;
exports.ReactQueryContainer = u;
